package com.bwie.es.config;

import com.bwie.es.service.ESService;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import javax.annotation.Resource;

/**
 * Description:
 *
 * @Author: sun-cool-boy
 * @Date: 2023/10/10
 * @info: 启动同步es数据
 */
@Configuration
public class InitData {

    @Resource
    private ESService esService;

    @Bean
    public void syncESData(){
        esService.addBatch();
    }
}
