package com.bwie.server.controller;

import com.bwie.common.domain.InterestRate;
import com.bwie.common.result.Result;
import com.bwie.server.service.InterestRateService;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * Description:
 *
 * @Author: sun-cool-boy
 * @Date: 2023/10/10
 * @info: 控制层
 */
@RestController
public class InterestRateController {

    /**
     * 注入业务层
     */
    @Resource
    private InterestRateService interestRateService;

    /**
     * 获取利率
     * @return
     */
    @GetMapping("/selectInterestRate")
    public Result<List<InterestRate>> selectInterestRate(){
        return interestRateService.selectInterestRate();
    }
}
