package com.bwie.server.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.bwie.common.domain.BorrowMoney;
import com.bwie.common.domain.request.BorrowMoneyReq;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * Description:
 *
 * @Author: sun-cool-boy
 * @Date: 2023/10/10
 * @info:
 */
public interface BorrowMoneyMapper extends BaseMapper<BorrowMoney> {
    /**
     * 查询借款表
     * @param borrowMoneyReq
     * @return
     */
    List<BorrowMoney> selectBorrowMoney(BorrowMoneyReq borrowMoneyReq);

    /**
     * 给es数据
     * @return
     */
    List<BorrowMoney> giveESData();

    /**
     * 更改状态
     * @param id
     * @return
     */
    Integer upd(@Param("id") Integer id, @Param("status") Integer status);

    /**
     * 添加
     * @param borrowMoney
     * @return
     */
    Integer addBorrowMoney(BorrowMoney borrowMoney);
}
